curl --request GET \
--url https://api.hubapi.com/communication-preferences/2026-03/definitions \
--header 'Authorization: Bearer <token>'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"createdAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"id": "<string>",
"isActive": true,
"isDefault": true,
"isInternal": true,
"name": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"businessUnitId": 123,
"communicationMethod": "<string>",
"purpose": "<string>",
"subscriptionTranslations": [
{
"createdAt": 123,
"description": "<string>",
"languageCode": "<string>",
"name": "<string>",
"subscriptionId": 123,
"updatedAt": 123
}
]
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}Rufen Sie eine Liste aller Abonnementstatusdefinitionen vom Account ab.
curl --request GET \
--url https://api.hubapi.com/communication-preferences/2026-03/definitions \
--header 'Authorization: Bearer <token>'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"createdAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"id": "<string>",
"isActive": true,
"isDefault": true,
"isInternal": true,
"name": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"businessUnitId": 123,
"communicationMethod": "<string>",
"purpose": "<string>",
"subscriptionTranslations": [
{
"createdAt": 123,
"description": "<string>",
"languageCode": "<string>",
"name": "<string>",
"subscriptionId": 123,
"updatedAt": 123
}
]
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}Documentation Index
Fetch the complete documentation index at: https://developers.hubspot.de/docs/llms.txt
Use this file to discover all available pages before exploring further.
Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
Eine Ganzzahl, die die ID des Unternehmensbereichs darstellt, für den Abonnementdefinitionen abgerufen werden sollen.
Ein boolescher Wert, der angibt, ob Übersetzungen der Definitionen von Kommunikationspräferenzen in die Antwort aufgenommen werden sollen.
successful operation
Der Zeitpunkt (Datum und Uhrzeit), zu dem der Vorgang abgeschlossen wurde.
Ein Array mit den Ergebnissen aus dem Vorgang.
Show child attributes
Der Zeitpunkt (Datum und Uhrzeit), zu dem der Vorgang gestartet wurde.
Der aktuelle Status des Vorgangs: PENDING, PROCESSING, CANCELED oder COMPLETE.
CANCELED, COMPLETE, PENDING, PROCESSING Ein Array der während des Vorgangs aufgetretenen Fehler.
Show child attributes
Eine Sammlung von zugehörigen Links, die dem Vorgang zugeordnet sind.
Show child attributes
Die Anzahl der während des Vorgangs aufgetretenen Fehler.
Der Zeitpunkt (Datum und Uhrzeit), zu dem der Vorgang angefordert wurde.